#include <asm/system.h>

#include <linux/module.h>
#include <linux/config.h>
#include <linux/types.h>
#include <linux/kernel.h>
#include <linux/sched.h>
#include <linux/fs.h>
#include <linux/miscdevice.h>
#include <asm/uaccess.h>
#include <linux/vt_kern.h>
#include <linux/kmod.h>
#include <linux/sysctl.h>

static int myfunc(void *dummy)
{
  struct task_struct *curtask = current;

  daemonize();
  strcpy(curtask->comm, "testing");

  while (!(current->sigpending)) {
    __cli();
    cond_resched();
    safe_halt();
  }

  /* Warning here is a potential race */
  MOD_DEC_USE_COUNT;
  return 0;
}

int init_module()
{
  MOD_INC_USE_COUNT;
  kernel_thread(myfunc, NULL, CLONE_FS | CLONE_FILES);
  return 0;
}

MODULE_LICENSE("GPL");
